/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service.impl;

import com.rjconsultores.ventaboletos.dao.UsuarioBancarioDAO;
import com.rjconsultores.ventaboletos.entidad.UsuarioBancario;
import com.rjconsultores.ventaboletos.service.UsuarioBancarioService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;
import java.util.Calendar;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 *
 * @author Rafius
 */
@Service("usuarioBancarioService")
public class UsuarioBancarioServiceImpl implements UsuarioBancarioService {

    @Autowired
    private UsuarioBancarioDAO usuarioBancarioDAO;

    public List<UsuarioBancario> obtenerTodos() {
        return usuarioBancarioDAO.obtenerTodos();
    }

    public UsuarioBancario obtenerID(Integer id) {
        return usuarioBancarioDAO.obtenerID(id);
    }

    @Transactional
    public UsuarioBancario suscribir(UsuarioBancario entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return usuarioBancarioDAO.suscribir(entidad);
    }

    @Transactional
    public UsuarioBancario actualizacion(UsuarioBancario entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return usuarioBancarioDAO.actualizacion(entidad);
    }

    @Transactional
    public void borrar(UsuarioBancario entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.FALSE);

        usuarioBancarioDAO.actualizacion(entidad);
    }
}
